Name: pipe-katello-proxy-nightly-centos7.yatsu.example.com-foreman-client

Version: 1.0
Release: 1
Group: Applications/System
License: GPL
BuildArch: noarch
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root
Summary: Organizational server (httpd) SSL key-pair/key-set.
Packager: None
Vendor: None






%description
Organizational server (httpd) SSL key-pair/key-set.
Best practices suggests that this RPM should only be installed on the web
server with this hostname: pipe-katello-proxy-nightly-centos7.yatsu.example.com

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT
install --verbose -d $RPM_BUILD_ROOT/etc/pki/katello-certs-tools/certs
install --verbose -d $RPM_BUILD_ROOT/etc/pki/katello-certs-tools/private
install --verbose ./etc/pki/katello-certs-tools/certs/pipe-katello-proxy-nightly-centos7.yatsu.example.com-foreman-client.crt $RPM_BUILD_ROOT/etc/pki/katello-certs-tools/certs/pipe-katello-proxy-nightly-centos7.yatsu.example.com-foreman-client.crt
install --verbose ./etc/pki/katello-certs-tools/certs/pipe-katello-proxy-nightly-centos7.yatsu.example.com-foreman-client.crt.req $RPM_BUILD_ROOT/etc/pki/katello-certs-tools/certs/pipe-katello-proxy-nightly-centos7.yatsu.example.com-foreman-client.crt.req
install --verbose ./etc/pki/katello-certs-tools/private/pipe-katello-proxy-nightly-centos7.yatsu.example.com-foreman-client.key $RPM_BUILD_ROOT/etc/pki/katello-certs-tools/private/pipe-katello-proxy-nightly-centos7.yatsu.example.com-foreman-client.key

%clean
rm -rf $RPM_BUILD_ROOT



%postun
if [ \$1 = 0 ]; then
    # The following steps are copied from mod_ssl's postinstall scriptlet
    # Make sure the permissions are okay
    umask 077

    if [ ! -f /etc/httpd/conf/ssl.key/server.key ] ; then
        /usr/bin/openssl genrsa -rand /proc/apm:/proc/cpuinfo:/proc/dma:/proc/filesystems:/proc/interrupts:/proc/ioports:/proc/pci:/proc/rtc:/proc/uptime 1024 > /etc/httpd/conf/ssl.key/server.key 2> /dev/null
    fi

    if [ ! -f /etc/httpd/conf/ssl.crt/server.crt ] ; then
        cat << EOF | /usr/bin/openssl req -new -key /etc/httpd/conf/ssl.key/server.key -x509 -days 365 -out /etc/httpd/conf/ssl.crt/server.crt 2>/dev/null
--
SomeState
SomeCity
SomeOrganization
SomeOrganizationalUnit
localhost.localdomain
root@localhost.localdomain
EOF
    fi
    /sbin/service httpd graceful
    exit 0
fi


%files
%attr(0600,-,-) /etc/pki/katello-certs-tools/private/pipe-katello-proxy-nightly-centos7.yatsu.example.com-foreman-client.key
%attr(0644,-,-) /etc/pki/katello-certs-tools/certs/pipe-katello-proxy-nightly-centos7.yatsu.example.com-foreman-client.crt
%attr(0644,-,-) /etc/pki/katello-certs-tools/certs/pipe-katello-proxy-nightly-centos7.yatsu.example.com-foreman-client.crt.req
